import request from '@/utils/request'
const service_name = "cloud-site-service"
const group_name = "cloudSite"
export default {
	//  小程序码下单
	saveXoilOrder(data) {
		return request({
			url: `/${service_name}/${group_name}/saveXoilOrder`,
			method: 'post',
			data: data
		})
	},
	//  小程序加油订单详情
	getNewItemSiteOrderInfo(data) {
		return request({
			url: `/${service_name}/${group_name}/getNewItemSiteOrderInfo`,
			method: 'post',
			data: data
		})
	},
	//  小程序加油订单列表
	getNewItemSiteOrder(data) {
		return request({
			url: `/${service_name}/${group_name}/getNewItemSiteOrder`,
			method: 'post',
			data: data
		})
	},
	//  换手机号提交
	updatePhone(data) {
		return request({
			url: `/${service_name}/${group_name}/updatePhone`,
			method: 'post',
			data: data
		})
	},
	// 换手机号发送验证码
	updatePhoneSms(data) {
		return request({
			url: `/${service_name}/${group_name}/updatePhoneSms`,
			method: 'post',
			data: data
		})
	},
	// 确认修改密码
	setPassword(data) {
		return request({
			url: `/${service_name}/${group_name}/setPassword`,
			method: 'post',
			data: data
		})
	},
	// setPasswordSms
	sendPwdSms(data) {
		return request({
			url: `/${service_name}/${group_name}/setPasswordSms`,
			method: 'post',
			data: data
		})
	},
	// 个人中心 
	personCenter() {
		return request({
			url: `/${service_name}/${group_name}/personCenter`,
			method: 'get'
		})
	},
	// 根据ID查询订单详情
	getSiteOrderById(id) {
		return request({
			url: `/${service_name}/${group_name}/getSiteOrderById/${id}`,
			method: 'get'
		})
	},
	// 油站基本资料和油站的油品价格等信息 
	getSiteDetail(data) {
		return request({
			url: `/${service_name}/${group_name}/getSiteDetail`,
			method: 'get',
			data: data
		})
	},
	// 获取云站当前登录用户的基础资料
	getSiteBasicData(data) {
		return request({
			url: `/${service_name}/${group_name}/getSiteBasicData`,
			method: 'get',
			data: data
		})
	},
	// 获取油站订单列表*全部
	getAllSiteOrder(data) {
		return request({
			url: `/${service_name}/${group_name}/getAllSiteOrder`,
			method: 'post',
			data: data
		})
	},
	// 获取油站订单列表*当天
	getSiteOrder(data) {
		return request({
			url: `/${service_name}/${group_name}/getSiteOrder`,
			method: 'post',
			data: data
		})
	},
	// 查询云站号是否存在,并返回云站基本信息
	verifyOilSite(data) {
		return request({
			url: `/${service_name}/${group_name}/registerOilSite/${data.oilSiteCode}`,
			method: 'get',
			data: data
		})
	},
	// 获取不带参数的油站二维码
	getSiteQrCode(data) {
		return request({
			url: `/${service_name}/${group_name}/getSiteQrCode`,
			method: 'get',
			data: data
		})
	},
	// 获取带参数的油站二维码
	getDesignatedSiteQrCode(data) {
		return request({
			url: `/${service_name}/${group_name}/updateSiteQrCode`,
			method: 'post',
			data: data
		})
	},
	// 扫码
	VerifyQrCode(data) {
		return request({
			url: `/${service_name}/${group_name}/VerifyQrCode`,
			method: 'post',
			data: data
		})
	},
	// 扫则一码
	VerifyZeYiQrCode(data) {
		return request({
			url: `/${service_name}/${group_name}/VerifyZeYiQrCode`,
			method: 'post',
			data: data
		})
	},
	// 下单
	saveOrder(data) {
		return request({
			url: `/${service_name}/${group_name}/saveOrder`,
			method: 'post',
			data: data
		})
	},
	// 下则一单
	saveZeyiOrder(data) {
		return request({
			url: `/${service_name}/${group_name}/saveZeyiOrder`,
			method: 'post',
			data: data
		})
	},
	// 经营分析 日
	getAnyDay(date) {
		return request({
			url: `/${service_name}/${group_name}/getAnyDay/${date}`,
			method: 'get'
		})
	},
	// 经营分析 月
	getAnyMonth(date) {
		return request({
			url: `/${service_name}/${group_name}/getAnyMonth/${date}`,
			method: 'get'
		})
	},
	// 昨日数据
	getYesterday() {
		return request({
			url: `/${service_name}/${group_name}/getYesterday`,
			method: 'get'
		})
	} 
}
